欢迎参加我们将于 6 月 3 日举行的 #Android11:Beta 版发布会

Android 和 Google Play 相关事项倒计时

我们会不断对平台和政策做出调整,以便提升用户体验并打造更安全的生态系统。您可以借助此页面及时了解需要做的更改并查找额外的信息。感谢您不断改进您的应用和游戏。

时间轴

policy timeline policy timeline

精选变更

依赖安装引荐来源 Intent 广播来跟踪其应用安装量的开发者必须在 2020 年 3 月 1 日之前换用 Play Install Referrer API。请注意,在很多情况下,该 Intent 由提供数据分析并跟踪营销广告系列效果的第三方 SDK(例如 AppsFlyer 和 Kochava)使用。在这些情况下,开发者无需采取任何措施,因为这些合作伙伴已支持新的 Play Install Referrer API。

2020 年 4 月FirebaseJobDispatcher 库将归档,我们将不再针对提交到该库中的问题提供支持。GCMNetworkManager 库将不再接收任何新功能,并且从 2020 年 11 月起,我们将不再针对与该库相关的问题提供支持。当您的应用将目标 API 级别 (targetSdkVersion) 更新为高于 Android 10(API 级别 29)的版本后,将无法继续在搭载 Android Marshmallow (6.0) 及更高版本的设备上进行 FirebaseJobDispatcher 和 GcmNetworkManager API 调用。

2019 年 8 月 1 日起,在 Google Play 上发布的支持 32 位架构的应用和游戏还必须支持 32 位架构对应的 64 位 ABI。对于使用 Corona Labs SDK 或 Adobe Air 软件和 AIR SDK 的应用和游戏,最后期限可延至 2020 年 8 月 1 日。对于使用 Unity 5.6.7 及更低版本构建的游戏,最后期限可延至 2021 年 8 月 1 日

您上传的 APK 需要符合 Google Play 的目标 API 级别要求。自 2020 年 8 月 3 日起,新应用的目标运行环境必须最低为 Android 10(API 级别 29)。自 2020 年 11 月 2 日起,所有更新版应用的目标运行环境必须最低为 Android 10(API 级别 29)。在上述日期之前,新应用和更新版应用的目标运行环境必须最低为 Android 9(API 级别 28)。

2021 年 5 月 1 日开始,所有使用 Play 结算服务的新应用和更新版应用都必须换用 Google Play 结算库 2.0。

更新您的应用以使其支持 Android 10,以便提供更强大的用户隐私保护服务、以新的方式吸引用户、增加对可折叠设备的支持、采用 Vulkan 扩展程序等。

最后期限已过的事项

2019 年 11 月 1 日起,我们对视频在 Play 商店中的显示方式做了一些更改。在此次更新中,您商品详情中任何已启用获利功能的 YouTube 视频均可能会开始展示广告,这可能会让用户感到困惑和使用户分心。如果您未在此日期之前停用广告,您的视频将不会再显示在 Google Play 上。

2019 年 11 月 13 日,我们更新了关于多个主题(包括误导性声明、元数据、垃圾内容和广告网络认证)的政策。现在,所有应用在发布时都必须遵守相关政策规定。

2019 年 12 月 1 日起,用于管理应用内购买和发布的 Google Play Developer API 版本 1 和版本 2 不再可用。如果您尚未更新至版本 3,请进行更新。